#
# spec file for package SuSEfirewall2 (Version 1.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         SuSEfirewall2
Version:      1.7
Release:      25
Copyright:	GNU GPL
Group:		Networking/Security
#Provides:	firewall2
#Obsoletes:	firewals
#Conflicts:	firewall
Requires:	lsof iptables
Autoreqprov:	on
Summary:      Packetfilter using 2.4 kernel's iptables/netfilter
Source:		SuSEfirewall2-%{version}.tar.bz2
Source1:	rc.config.firewall2
Source8:	SuSEfirewall2-ip_up_72.diff
Source9:	SuSEfirewall2.spec_70
Patch:		SuSEfirewall2-%{version}.diff
Patch1:		SuSEfirewall2-%{version}.newrc.diff
Patch2:         SuSEfirewall2-1.7.restart2.diff
Patch3:		SuSEfirewall2-1.7.no-rmmod.diff
BuildArchitectures: noarch
BuildRoot:	/var/tmp/%{name}-buildroot

%description
This package is the successor of the SuSEfirewall (firewals) package.
Like SuSEfirewall, SuSEfirewall2 implements a packetfilter to allow
system administrators to protect their computer and network by restricting
the possibilities of other hosts to connect to them. This potentially
saves you from suffering under the design flaws and vulnerabilties
that are found from time to time in various daemons.
Unlike the old ipchains based SuSEfirewall, this version uses the new
iptables/netfilter packet filtering infrastructure that comes with 2.4
kernels. It allows even more flexible rule setup and, specifically, the
creation of a stateful firewall, as it keeps track of connections and 
has the notion of related connections.
Note that for simply protecting a single host from attacks, you're probably
best of using the personal-firewall that comes with SuSE Linux.
Note that the old SuSEfirewall can also be run on 2.4 kernels, as there is
support for the old ipchains based rules in 2.4. SuSEfirewall2 can coexist
with SuSEfirewall. This may be useful for configurations, where you
sometimes boot 2.2 and sometimes 2.4 kernels. The SuSEfirewall scripts will
detect if SuSEfirewall2 is installed and enabled and if a 2.4 kernel is
running and in such a case will just not start SuSEfirewall, resulting in
SuSEfirewall2 to be active.

Authors:
--------
    Marc Heuse <marc@suse.de> 
    

SuSE series: sec

%prep
%setup -n SuSEfirewall2-%{version}
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
#make

%install
install  -d -o root -g root -m 750 $RPM_BUILD_ROOT/etc/init.d
install  -d -o root -g root -m 750 $RPM_BUILD_ROOT/sbin
#install -d -o root -g root -m 750 $RPM_BUILD_ROOT/sbin/init.d/rc2.d
#install -d -o root -g root -m 750 $RPM_BUILD_ROOT/sbin/init.d/rc3.d
install -d -o root -g root -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -o root -g root -m 750 $RPM_BUILD_ROOT/var/log
install -d -o root -g root -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -d -o root -g root -m 755 $RPM_BUILD_ROOT/etc/rc.config.d
install -o root -g root -m 740 SuSEfirewall2 $RPM_BUILD_ROOT/sbin/
#install -o root -g root -m 744 openports $RPM_BUILD_ROOT/usr/sbin/
touch $RPM_BUILD_ROOT/var/log/firewall
chown root.root $RPM_BUILD_ROOT/var/log/firewall
chmod 600 $RPM_BUILD_ROOT/var/log/firewall
install -o root -g root -m 600 firewall2.rc.config $RPM_BUILD_ROOT/var/adm/fillup-templates
install -o root -g root -m 600 $RPM_SOURCE_DIR/rc.config.firewall2 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -o root -g root -m 600 firewall2-custom.rc.config $RPM_BUILD_ROOT/etc/rc.config.d/
#touch $RPM_BUILD_ROOT/etc/rc.config.d/firewall2-custom.rc.config
touch $RPM_BUILD_ROOT/etc/rc.config.d/firewall2.rc.config
#cd ../LSB-scripts
install -o root -g root -m 740 SuSEfirewall2_init  $RPM_BUILD_ROOT/etc/init.d/
install -o root -g root -m 740 SuSEfirewall2_setup $RPM_BUILD_ROOT/etc/init.d/
install -o root -g root -m 740 SuSEfirewall2_final $RPM_BUILD_ROOT/etc/init.d/
ln -sf ../etc/init.d/SuSEfirewall2_setup $RPM_BUILD_ROOT/sbin/rcSuSEfirewall2

%files
%config(noreplace) /etc/rc.config.d/firewall2.rc.config
%config(noreplace) /etc/rc.config.d/firewall2-custom.rc.config
/sbin/SuSEfirewall2
%doc CHANGES TODO LICENCE EXAMPLES FAQ README
%doc firewall2.rc.config ip-up
%doc firewall2.rc.config.EXAMPLE 
%doc $RPM_SOURCE_DIR/SuSEfirewall2-ip_up_72.diff
%config /etc/init.d/SuSEfirewall2_init
%config /etc/init.d/SuSEfirewall2_setup
%config /etc/init.d/SuSEfirewall2_final
/sbin/rcSuSEfirewall2
%ghost /var/log/firewall
/var/adm/fillup-templates/rc.config.firewall2
/var/adm/fillup-templates/firewall2.rc.config

%postun
sbin/insserv etc/init.d/

%post
sbin/insserv etc/init.d/SuSEfirewall2_init
sbin/insserv etc/init.d/SuSEfirewall2_setup
sbin/insserv etc/init.d/SuSEfirewall2_final
if test -e etc/syslog.conf -a -z "`grep firewall etc/syslog.conf`"; then
  echo -e '\nkern.*\t\t-/var/log/firewall' >> etc/syslog.conf
  touch var/log/firewall
#  test -x sbin/pidof && kill -HUP `sbin/pidof syslogd`
fi
echo "Updating etc/rc.config ..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.firewall2
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.firewall2 and "
  echo "update by hand."
fi
echo "Updating etc/rc.config.d/firewall2.rc.config ..."
test -e etc/rc.config.d/firewall2.rc.config || touch etc/rc.config.d/firewall2.rc.config
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config.d/firewall2.rc.config var/adm/fillup-templates/firewall2.rc.config
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config.d/firewall2.rc.config and"
  echo "var/adm/fillup-templates/firewall2.rc.config"
  echo "and update by hand."
fi
#echo "Updating etc/rc.config.d/firewall2-custom.rc.config ..."
#test -e etc/rc.config.d/firewall2-custom.rc.config \
#       || touch etc/rc.config.d/firewall2-custom.rc.config
#if [ -x bin/fillup ] ; then
#  bin/fillup -q -d = etc/rc.config.d/firewall2-custom.rc.config \
#       var/adm/fillup-templates/firewall2-custom.rc.config
#  # /bin/fillup only copies the first part of the file (up
#  # until but excluding the first "}". Copy the whole file:
#  cat var/adm/fillup-templates/firewall2-custom.rc.config \
#       > etc/rc.config.d/firewall2-custom.rc.config
#else
#  echo "ERROR: fillup not found. This should not happen. Please compare"
#  echo "etc/rc.config.d/firewall2-custom.rc.config and"
#  echo "var/adm/fillup-templates/firewall2-custom.rc.config"
#  echo "and update by hand."
#fi
cat >var/adm/notify/messages/SuSEfirewall2_update << _END_
Dear sysadmin,
Congratulations to your installation of / update to %{name}-%{version}.
Please have a look at the firewall2 configuration file in
/etc/rc.confid.d/firewall2.rc.config and edit it according to your needs
before you start SuSEfirewall2. If you have SuSEfirewall (the old one)
running, you need to stop that one before (rcSuSEfirewall stop) starting
SuSEfirewall2.
Documentation about SuSEfirewall2 may be found in the directory
 %{_docdir}/packages/SuSEfirewall2/
Please check that the ip-up script from there is installed in 
/etc/ppp/ip-up
Yours,
	SuSE Security Team
_END_
# Now update /etc/ppp/ip-up if necessary and possible
#echo -n "Updating etc/ppp/ip-up ... "
#if diff -b etc/ppp/ip-up usr/share/doc/packages/SuSEfirewall2/ip-up >/dev/null; then
#	echo "not needed."
#	exit 0
#fi
#if patch -l --dry-run <usr/share/doc/packages/SuSEfirewall2/SuSEfirewall2-ip_up_72.diff etc/ppp/ip-up >/dev/null 2>&1; then
#	cp -p --backup=t etc/ppp/ip-up etc/ppp/ip-up.old
#	patch -l <usr/share/doc/packages/SuSEfirewall2/SuSEfirewall2-ip_up_72.diff etc/ppp/ip-up
#	if test $? = 0; then echo "succeeded (backup in ip-up.old)."
#	else 	echo "failed!"
#		echo "Check /etc/ppp/ip-up and make appropriate changes found in"
#		echo "/usr/share/doc/packages/SuSEfirewall2/SuSEfirewall2-ip_up_72.diff"
#		echo "or copy /usr/share/doc/packages/SuSEfirewall2/ip-up!"
#	fi
#else	echo "would fail!"
#	echo "Check /etc/ppp/ip-up and make appropriate changes found in"
#	echo "/usr/share/doc/packages/SuSEfirewall2/SuSEfirewall2-ip_up_72.diff"
#	echo "or copy /usr/share/doc/packages/SuSEfirewall2/ip-up!"
#fi
exit 0

%clean
test ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/SuSEfirewall2-%{version}
exit 0

%changelog -n SuSEfirewall2
* Thu Sep 20 2001 - draht@suse.de
- rmmod of ip_tables modules can cause rmmod (and the system
  startup) to hang. Removing modules is racey and should not be
  required. rmmod of legacy ipfwadm and ipchains modules is
  untouched.
* Wed Sep 19 2001 - draht@suse.de
- Added restart2 section into rc scripts to work around open
  packet filter rules during yast2-triggered rules reload.
* Tue Sep 04 2001 - garloff@suse.de
- Disabled automatic ip-up updating for the release of SuSE Linux
  7.3 (not needed, so avoid any risks).
* Tue Sep 04 2001 - garloff@suse.de
- Update to SuSEfirewall2-1.7:
  * Fixed a bug in FW_FORWARD_MASQ when target ports were ranges.
  * Fixed some bugs in the documentation.
  * When stopping SuSEfirewall2, all modules are now removed.
- bzip2 sources.
* Fri Aug 03 2001 - garloff@suse.de
- Update to SuSEfirewall-1.6:
  * Error checking for FW_MASQ_NETS.
  * Added an additional EXAMPLE with an ipsec setup and a FAQ
  section.
* Thu Jul 26 2001 - garloff@suse.de
- Update to SuSEfirewall2-1.5:
  * Already include most patches applied to 1.3
  * Fix firewall2.rc.config syntax to be YaST(2) compliant
  * Fix bug WRT timeout for first DNS lookup that triggered
  autodialing
  * SQUID udp ports support
  * Fix problem with error logging
- Provide automatic update for /etc/ppp/ip-up for SuSE Linux 7.2
  users and warn others.
* Tue Jul 17 2001 - garloff@suse.de
- rcSuSEfirewall2 symlink points to _setup now, as that one's
  capable of doing a start and a stop.
- Use rc.status functions
* Tue Jul 17 2001 - garloff@suse.de
- Use ispell to fix docus. Strip CR from LICENCE.
* Tue Jul 17 2001 - garloff@suse.de
- Initial creation of package SuSEfirewall2:
  * checkin version 1.3
  * create package description and specfile
- Some changes to the startup scripts:
  * LSB conformant comments
